This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1305183 - rebase OSP8 with latest backports
rebase OSP8 with latest backports
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Eric Harney
nlevinki
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-05 18:49 EST by Abel Lopez
Modified: 2016-04-26 10:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: openstack-cinder-7.0.1-5.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-06 10:16:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1516085 None None None 2016-02-05 18:49 EST

  None (edit)
Description Abel Lopez 2016-02-05 18:49:48 EST
Description of problem:
Unable to get quotas in cinder with v3 auth, unable to boot from volume in horizon.
Same configs and settings in RDO latest works fine. 

Version-Release number of selected component (if applicable):
python-cinder-7.0.0-2.el7ost.noarch
openstack-cinder-7.0.0-2.el7ost.noarch

How reproducible:
every time

Steps to Reproduce:
1. import an image to glance
2. attempt to boot an instance from volume (Creates new volume)
3.

Actual results:
Danger: There was an error submitting the form. Please try again.

Expected results:
A new cinder backed instance...

Additional info:
The tenant ID exists, but shows up as 404.
The upstream bug in Mitaka has been merged and backported to Liberty

2016-02-05 23:37:03.285 26646 DEBUG keystoneclient.session [req-4963ded0-7138-4c85-b751-a90bad66a00e b1ff55e83cb74b3ba622c9026955aafd c37b3ca5b1da4930a956a18fcc59efe8 - - -] REQ: curl -g -i -X GET http://172.28.128.241:35357/projects/c37b3ca5b1da4930a956a18fcc59efe8 -H "User-Agent: python-keystoneclient" -H "Accept: application/json" -H "X-Auth-Token: {SHA1}8005eb1cb32fe9065c2baec5753632806c14f30f" _http_log_request /usr/lib/python2.7/site-packages/keystoneclient/session.py:198
2016-02-05 23:37:03.289 26646 DEBUG keystoneclient.session [req-4963ded0-7138-4c85-b751-a90bad66a00e b1ff55e83cb74b3ba622c9026955aafd c37b3ca5b1da4930a956a18fcc59efe8 - - -] RESP: [404] date: Fri, 05 Feb 2016 23:37:03 GMT vary: X-Auth-Token content-length: 93 content-type: application/json server: Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5 
RESP BODY: {"error": {"message": "The resource could not be found.", "code": 40, "title": "Not Found"}}
 _http_log_response /usr/lib/python2.7/site-packages/keystoneclient/session.py:215
2016-02-05 23:37:03.290 26646 DEBUG keystoneclient.session [req-4963ded0-7138-4c85-b751-a90bad66a00e b1ff55e83cb74b3ba622c9026955aafd c37b3ca5b1da4930a956a18fcc59efe8 - - -] Request returned failure status: 404 request /usr/lib/python2.7/site-packages/keystoneclient/session.py:400
2016-02-05 23:37:03.291 26646 INFO cinder.api.openstack.wsgi [req-4963ded0-7138-4c85-b751-a90bad66a00e b1ff55e83cb74b3ba622c9026955aafd c37b3ca5b1da4930a956a18fcc59efe8 - - -] HTTP exception thrown: Tenant ID: c37b3ca5b1da4930a956a18fcc59efe8 does not exist.
Comment 2 Sergey Gotliv 2016-02-06 10:16:50 EST
You are using a bit outdated openstack-cinder-7.0.0-2.el7ost.noarch, we rebased
openstack-cinder-7.0.1-5.el7ost a month ago.

Note You need to log in before you can comment on or make changes to this bug.